// variable
.margin-top-20 {
  margin-top: 20px;
}

.margin-bottom-20{
  margin-bottom: 20px;
}

.width-50 {
  width: 50%;
}

.align-center {
  text-align: center;
}

// app global css
.doc-container {
  width: 100% !important;
  background-color: #FAF9FF;
  padding-top 35px;
  padding-left: 35px;
  padding-right: 35px;
  padding-bottom: 65px;
}

// Page title
.page-title {
  margin-left: 10px;
  font-weight: bold;
  letter-spacing: normal;
}

// Action Button
.action-btn {
  padding: 0 26px;
  color: white;
  background: #FF004B;
  -webkit-box-shadow: 0 1px 5px rgba(0,0,0,0.2), 0 1px 1px rgba(0,0,0,0.14), 0 3px 1px -1px rgba(0,0,0,0.12);
  box-shadow: 0 1px 5px rgba(0,0,0,0.2), 0 1px 1px rgba(0,0,0,0.14), 0 3px 1px -1px rgba(0,0,0,0.12);
}
.action-btn.disabled {
  opacity: 0.5 !important;
}
.action-btn.readonly {
  cursor : none;
}

.action-btn.q-btn-outline {
  color: #FF004B;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
}
.action-btn.q-btn-flat.readonly {
  color: #FF004B;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
  background: none;
  cursor: initial !important;
}
.action-btn.q-btn-flat.readonly .q-btn-inner {
  cursor: initial !important;
}
.action-btn.q-btn-flat.readonly:hover {
  background: none;
}
.action-btn.q-btn-flat.readonly:hover .q-focus-helper {
  background: none;
}

.menu {
  overlflow: hidden;  
}

.menu .q-list {
  padding-top: 0px;
}
// Menu
.menu .q-item {
  padding-top: 4px;
  padding-bottom: 4px;
}
.menu .q-item {
  color: #899195;
}
.menu .q-item.router-link-active,
.menu .q-item.router-link-exact-active {
  background: none; // reset style
}
.menu .q-item:before {
  content: "";
  width: 5px;
  height: 40px;
  background: none;
  left: -16px;
  position: relative;
  display: block;
  top: 0;
}

.login-sticky {
  z-index: 3000;
  overflow: hidden;
  padding-bottom: 0px;
}

.login {
  width: 100%;
  background-color: #777;
  color: white;
  height 65px;
  padding-bottom: 0px;
  transform: translateX(0px) !important; 
}
.login:hover .q-item-side {
 color: #777;
}

.login:hover .q-item-main {
 color: #777;
}
.login .q-item-side {
  color: white;
}
.login-list {
  width: 220px;
  z-index: 3000;
  padding-bottom: 0px;
}

.login-list-mini {
  width: 60px !important;
}

.menu .q-layout-drawer-normal .q-item-link:after {
  content: '';
  position: absolute;
  right: 20px;
  top: 20px;
  width: 0;
  height: 0;
  border-left: 5px solid #899195;
  border-right: 0 solid transparent;
  border-top: 5px solid transparent;
  border-bottom: 5px solid transparent;
  clear: both;
}

.menu .q-item.router-link-active:before {
  content: "";
  width: 5px;
  height: 40px;
  background-color: #FF004B;
  left: -16px;
  position: relative;
  display: block;
  top: 0;
}

.menu .q-item.router-link-active i {
  color: #FF004B;
}
.menu .q-item.router-link-active .q-item-main {
  font-weight: bold;
  color: #707070;
}
.menu .q-layout-drawer-left .q-list {
  padding-top: 0;
}

.menu .q-layout-drawer {
  margin-bottom: 65px;
  border-bottom: none;
}

.menu-header {
  background-repeat: no-repeat;
  background-position: -14px -11px;
  background-size: 250px 265px;
  height: 265px;
  display flex;
  flex-direction: column;
  align-content: end;
}
.menu-header .row {
  margin: 10px;
}
.menu-header .menu-user-image img {
  width: 150px;
}
.menu-header .menu-user-name {
  color: white;
  text-align: center;
}
.menu-header .menu-user-name .admin {
  font-weight: 300;
}



// Q Card
.q-card {
  width: 260px;
  background-color: white;
  margin-right: 25px;
  margin-bottom: 15px;
}
.q-card.category .q-card-media img  {
  width: 260px;
  height: 231px;
  object-fit: scale-down;
}

.q-card.playlist .q-card-media img {
  height: 230px;
  width: 260px;
  object-fit: scale-down;
}
.q-card.category .avatar,
.q-card.playlist .avatar {
  position: relative;
  top: 30px;
  right: -200px;
}

.q-card.category .q-card-title,
.q-card.playlist .q-card-title {
  color: white;
}

.q-card.category .q-card-actions,
.q-card.playlist .q-card-actions {
  padding: 20px 16px;
  background-color: rgba(255,255,255, 0.5);
}

.q-card.category .q-card-actions .type,
.q-card.playlist .q-card-actions .type{
  color: #08436C;
  font-weight: 600;
}

.q-card.category .q-card-media.vanilla,
.q-card.application .q-card-media.vanilla,
.q-card.playlist .q-card-media.vanilla {
  height 180px;
}

.q-card.category .q-card-actions i,
.q-card.playlist .q-card-actions i{
  margin-top: 2px;
}

.q-card.user {
  border-top:4px solid #00ACE1;
}

.q-card.user .avatar,
.q-card.application .avatar{
  position: relative;
  bottom: 28px;
  left: -170px;
}

.q-card.application .avatar img{
  background: white;
  border-radius: 50%;
  border: solid 1px #E5E0E0;
}

.q-card.user .q-item-label, .q-card.application .q-item-label{
  padding-top: 15px;
}

.q-card.user .q-card-container {
  padding-top: 0;
}

.q-card > .q-card-media:first-child {
  border-top-left-radius: unset;
  border-top-right-radius: unset;
}

.q-card.user.admin {
  border-top:4px solid #A96DDC;
}
// Home Q Card
.home .q-card {
  width: 260px;
  background-color: white;
  margin-right: 20px;
  margin-bottom: 20px;
}

// Q SHIP
.q-chip.tag {
  margin: 0 5px;
  color: white;
  background-color :#5AB498;
}

// Thesaurus
.doc-container.tags {
  background-image: url("../assets/bg-tag.png");
  background-repeat: no-repeat;
  background-position: 50% 80%;
  background-size: 350px 350px;
}
.row.tags{
  margin: 0 -5px;
}

#tag-search.q-search {
  padding-right: 0;
  -webkit-box-shadow: 0 1px 3px rgba(0,0,0,0.2), 0 1px 1px rgba(0,0,0,0.14), 0 2px 1px -1px rgba(0,0,0,0.12);
  box-shadow: 0 1px 3px rgba(0,0,0,0.2), 0 1px 1px rgba(0,0,0,0.14), 0 2px 1px -1px rgba(0,0,0,0.12);
}

#tag-search i {
  margin-right: 10px;
  margin-left: 5px;
}

#tag-search .col {
  margin: 0;
}

#tag-search .col input {
  background: white;
  color: black;
  padding: 20px 10px;
}

// central-search
#central-search {
  padding-right: 0;
  border-radius: 30px;
  -moz-box-shadow: none;
  box-shadow: none;
}

#central-search i {
  margin-right: 10px;
  margin-left: 10px;
}

#central-search .col {
  margin: 0;
  padding: 2px;
}

#central-search .col input {
  background: white;
  color: black;
  padding: 15px 10px;
  border-radius: 0 30px 30px 0;
}

// Table
.q-table-container {
  background-color: white;
}

 // Footer
.footer {
  background-color white;
  height 48px;
  position: absolute;
  bottom: 0;
}
.footer .inner-footer {
  align-items: center;
}
.footer .content {
  height: 50px;
  align-items: center;
  justify-content: center
}
.footer .content .footer-item {
  border-right: #DEDEDE 1px solid;
  align-items: center;
  justify-content: center
  min-width: 4.5em;
  font-size: 0.8em;
}
.footer .content:last-child {
  border-right: none;
}

  // FORM
.form {
  padding: 20px 30px;
  background: white;
  border-radius: 3px;
  -webkit-box-shadow: 0 1px 5px rgba(0,0,0,0.2), 0 2px 2px rgba(0,0,0,0.14), 0 3px 1px -2px rgba(0,0,0,0.12);
  box-shadow: 0 1px 5px rgba(0,0,0,0.2), 0 2px 2px rgba(0,0,0,0.14), 0 3px 1px -2px rgba(0,0,0,0.12);
  //position: relative;
}
.form .no-content {
  font-weight: 300;
  color: #899195;
  font-size: 14px;
}
.form .q-field {
  margin-bottom: 20px;
}

.form .checkbox-sub-label {
  font-weight: 400;
  font-size: 14px;
  margin-top: 5px;
  padding-top 5px;
  color: #899195;
  margin-left: 30px;
  border-top: 1px solid #E0E0E0;
  width: 50%;
}

// Modal User
.modal.user .q-layout-footer {
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
  border-top: 1px solid #E0E0E0;
}
.modal.user .q-field {
  margin-bottom: 20px;
}
.solo-arrow {
  min-height: 2em;
  padding-left: 13px;
  padding-right: 13px;
  padding-top: 2px;
  padding-bottom: 2px;
}

// Search Modal
.search-modal .modal-content{
  background-color: rgba(0, 0, 0, 0.8);
}
.search-modal .modal-content .close{
  color: white;
}
//.search-modal * {
//  color: white;
//}

// Table

.rTable {
      display: table;
      width: 100%;
}
.rTableRow {
      display: table-row;
}
.rTableCell, .rTableHead {
      display: table-cell;
      padding: 3px 10px;
      padding-bottom: 30px;
      padding-top: 30px;
      border-bottom: 1px solid #999999;
      
      min-width: 10em;
      vertical-align: top;
}

p.cap {
      text-transform: uppercase;
      font-weight: bold;
      color: #00ade2;
}